Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Can I use the Gentoo-sources based linux-ck kernel?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
Sol33t303
n00b
n00b


Joined: 23 Mar 2018
Posts: 54

PostPosted: Tue Apr 10, 2018 2:29 pm    Post subject: Can I use the Gentoo-sources based linux-ck kernel? Reply with quote

The titles a bit misleading because i coulden't figure out a way to fit the full question as the title. What I wanted to ask is How can I use the Gentoo-sources based linux-ck kernel without having to specify the version I want to use everytime I update the kernel. According to here https://forums.gentoo.org/viewtopic-t-941030.html ("one stable-like version based on the first gentoo-sources stable release available on this branch."), after that it says "You want the last stable-like release? emerge =ck-sources-3.10.32 ". How can I update the last stable-like release without having to specify the version?

Also it looks like whenever Arch Linux uses linux-ck with nvidia drivers it needs some specific nvidia drivers (https://aur.archlinux.org/packages/nvidia-ck/) but I can't seem to find the linux-ck Nvidia Linux drivers for Gentoo. How can I get them as well?
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43559
Location: 56N 3W

PostPosted: Tue Apr 10, 2018 2:53 pm    Post subject: Reply with quote

Sol33t303,

eix says that all the ck-sources in the repo are testing.
Code:
$ eix ck-sou
* sys-kernel/ck-sources
     Available versions: 
     (4.9.84) (~)4.9.84^bs
     (4.9.85) (~)4.9.85^bs
     (4.9.87) (~)4.9.87^bs
     (4.9.89) (~)4.9.89^bs
     (4.9.91) (~)4.9.91^bs
     (4.9.92) (~)4.9.92^bs
     (4.14.22) (~)4.14.22^bs
     (4.14.23) (~)4.14.23^bs
     (4.14.26) (~)4.14.26^bs
     (4.14.29) (~)4.14.29^bs
     (4.14.31) (~)4.14.31^bs
     (4.14.32) (~)4.14.32^bs
     (4.15.6) (~)4.15.6^bs
     (4.15.7) (~)4.15.7^bs
     (4.15.9) (~)4.15.9^bs
     (4.15.12) (~)4.15.12^bs
     (4.15.14) (~)4.15.14^bs
     (4.15.15) (~)4.15.15^bs
       {build deblob experimental symlink}
     Homepage:            https://www.kernel.org/ https://www.gentoo.org/ https://dev.gentoo.org/~mpagano/genpatches/ http://kernel.kolivas.org/ http://www.fsfla.org/svn/fsfla/software/linux-libre/releases/tags
     Description:         Con Kolivas' high performance patchset and Gentoo's genpatches for Linux 4.15


To get the latest version every time, make a file called /etc/portage/package.accept_keywords/ck-sources with the content
Code:
sys-kernel/ck-sources
on a line on its own.
You can control versions here if you need to, like when Nvidia are slow to update their binary blob for new kernels.
See
Code:
man portage


I suspect that the Arch specific nvidia drivers, are the normal drivers with a patch set applied so that nvidia-drivers will build against the ck-sources.
As all the nvidia-drivers in the tree are EAPI=6, you need only find the patch set and put it in the right place in /etc/portage/ and portage will apply it for you.
Thats explained in man portage too.

The hard bit seems to be finding the patch.

The Arch page lists two sets of sources, one is the nVidia site, the other is a patch that applies to the file
kernel/uvm/nvidia_uvm_lite.c
I have no idea if its needed or works with later kernels.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Chiitoo
Administrator
Administrator


Joined: 28 Feb 2010
Posts: 1804
Location: Here and Away Again

PostPosted: Tue Apr 10, 2018 9:41 pm    Post subject: Reply with quote

I didn't look into what and why exactly they patch things for nvidia drivers there, but generally you don't need to do that with Gentoo, as far as I'm aware of things and stuff.

That is unless you need to do the same with any kernel sources (it's not exactly rare, and is currently needed for >=4.16.0 for example).

Older nvidia-drivers may need patching for a longer period of time, or forever. I'm mostly talking about, and am most familiar with the latest of the latest versions.

Also note that our 'ck-sources' topic there was started back in 2012, and the maintainer has since changed. The things in the beginning end are more or/and less out of date.
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum